0
0 Items$0.00

270µH Radial Leaded Power Inductors :

11 Products Found
Find a huge range of 270µH Radial Leaded Power Inductors at element14 New Zealand. We stock a wide range of Radial Leaded Power Inductors, such as 10µH, 100µH, 1mH & 220µH Radial Leaded Power Inductors from the worlds top manufacturers including: Coilcraft, Kemet & Bourns

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price For
Price (Incl GST)
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
2457768

RoHS

Each
1+ $3.070($3.5305)
5+ $2.840($3.266)
10+ $2.610($3.0015)
25+ $2.390($2.7485)
50+ $2.120($2.438)
More Pricing...
RFB0810 Series
270µH
Unshielded
1.3A
840mA
0.55ohm
± 10%
3011784

RoHS

Each
10+ $2.230($2.5645)
50+ $2.090($2.4035)
300+ $1.110($1.2765)
600+ $1.020($1.173)
1200+ $1.000($1.150)
More Pricing...
SBCP Series
270µH
Unshielded
300mA
300mA
1.3ohm
± 10%
2457696

RoHS

Each
1+ $24.070($27.6805)
3+ $22.660($26.059)
5+ $21.240($24.426)
10+ $19.810($22.7815)
20+ $18.820($21.643)
More Pricing...
PCV-2 Series
270µH
Unshielded
7.2A
-
0.06ohm
± 10%
2309241

RoHS

Each
1+ $0.688($0.7912)
5+ $0.630($0.7245)
10+ $0.570($0.6555)
25+ $0.497($0.5716)
50+ $0.450($0.5175)
More Pricing...
RLB Series
270µH
Unshielded
770mA
1.4A
0.68ohm
± 10%
2457611

RoHS

Each
1+ $1.960($2.254)
10+ $1.660($1.909)
25+ $1.510($1.7365)
50+ $1.350($1.5525)
100+ $1.170($1.3455)
More Pricing...
DR0810 Series
270µH
Unshielded
1.28A
900mA
0.62ohm
± 10%
2457911

RoHS

Each
1+ $2.750($3.1625)
5+ $2.540($2.921)
10+ $2.320($2.668)
25+ $2.150($2.4725)
50+ $1.900($2.185)
More Pricing...
RFC1010 Series
270µH
Unshielded
1.27A
1.65A
0.44ohm
± 10%
2526911

RoHS

Each
1+ $3.930($4.5195)
5+ $3.650($4.1975)
10+ $3.360($3.864)
25+ $3.070($3.5305)
50+ $2.700($3.105)
More Pricing...
RFS1317 Series
270µH
Shielded
2.05A
1.7A
0.263ohm
± 10%
2457881

RoHS

Each
1+ $2.770($3.1855)
5+ $2.560($2.944)
10+ $2.350($2.7025)
25+ $2.150($2.4725)
50+ $1.920($2.208)
More Pricing...
RFC0810 Series
270µH
Unshielded
1.05A
1.2A
0.53ohm
± 10%
2457847

RoHS

Each
1+ $1.880($2.162)
5+ $1.730($1.9895)
10+ $1.590($1.8285)
25+ $1.450($1.6675)
50+ $1.290($1.4835)
More Pricing...
RFC0807 Series
270µH
Unshielded
800mA
1.2A
0.805ohm
± 10%
2457728

RoHS

Each
1+ $2.400($2.760)
5+ $2.230($2.5645)
10+ $2.050($2.3575)
25+ $1.870($2.1505)
50+ $1.670($1.9205)
More Pricing...
RFB0807 Series
270µH
Unshielded
780mA
600mA
0.9ohm
± 10%
2457581

RoHS

Each
1+ $1.780($2.047)
10+ $1.510($1.7365)
25+ $1.380($1.587)
50+ $1.230($1.4145)
100+ $1.070($1.2305)
More Pricing...
DR0608 Series
270µH
Unshielded
930mA
690mA
0.96ohm
± 10%
1-11 of 11 items
of 1 page(s)

Popular Suppliers

TDK
MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
PayPal